Loading...
Searching...
No Matches
astparser::AstTree Class Reference

AstTree class. More...

`#include <QC_AstTree.dox.h>`

## Public Member Functions

| constructor ()
| Creates the AstTree.
list | getNodesInfo ()
| Get info about nodes in the tree.
| printTree (string file)
| Print tree.

## Detailed Description

AstTree class.

AST tree structure.

Since
  Qore 0.8.13

## Member Function Documentation

## getNodesInfo()

list astparser::AstTree::getNodesInfo | ( |  | ) |

Get info about nodes in the tree.

Export the tree structure to Qore hashes and lists.

Returns
  list of node info hashes

## printTree()

astparser::AstTree::printTree | ( | string | file | ) |

Print tree.

Parameters

  file | name of file where to print out the tree

The documentation for this class was generated from the following file:

- modules/astparser/src/QC_AstTree.dox.h